﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication189;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication192
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        BindingList<Person> people = new BindingList<Person>();
        public MainWindow()
        {
            InitializeComponent();
         //   layoutroot.DataContext = people;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

            for (int i = 0; i < 10; i++)
            {

                Person p = new Person()
                {
                    Occupation = " Occupation " + i.ToString(),
                    ID = i,
                    Name = "name " + i.ToString(),
                    DOB = DateTime.Now.AddYears(-i)
                };
                people.Add(p);

            }
            xgrid1.DataSource = people;
         
            xgrid1.FieldLayouts[0].Fields["Name"].Settings.CellValuePresenterStyle = (Style)layoutroot.Resources["style1"];
        }


        void xgrid1_PreviewMouseMove(object sender, MouseEventArgs e)
        {
           
            DependencyObject source = e.OriginalSource as DependencyObject;

            if (e.LeftButton == MouseButtonState.Released)
            {
                if (source == null) return;


                CellValuePresenter cvp = Infragistics.Windows.Utilities.GetAncestorFromType(source, typeof(CellValuePresenter), true) as CellValuePresenter;


                if (cvp != null)
                {
                    Record r = cvp.DataContext as Record;
                    cvp.IsActive = true;
                    r.IsActive = true;
                    xgrid1.ActiveRecord = r;
                    xgrid1.ExecuteCommand(DataPresenterCommands.ToggleActiveRecordSelectionState);
                   

                }
            }
          

            
        }

    
      
    }
}
